Subject: Re: Problem using cygwin compiled DLL's in other Windows apps
From: Logan Bowers <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jan 2002 18:47:26 -0500

Robert Collins wrote:
> 
> ----- Original Message -----
> From: "Logan Bowers" <[email-masked]>
> To: "Robert Collins" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Wednesday, January 09, 2002 10:11 AM
> Subject: Re: Problem using cygwin compiled DLL's in other Windows apps
> 
> > But if I do that, I lose the ability to make UNIX style system calls,
> > right?
> 
> Yes. And? If you want to make a plugin for a non-unix style program
> (winamp for win32) then this is a corollary of that decision.
> 

Ahhh...  That is the functionality I need.  I've compiled ESoundD (a
unix app) under cygwin and would like to link libesd into my plugin.  Is
there any way I can make that work, or am I SOL?  

> > My version of ld (from the standard Cygwin distro) only supports
> > i386pe, how do I install support for other emulations.
> 
> Huh? Just use the switch I mentioned. Read the FAQ and user guide too.

For some reason my ld doesn't like that switch and says it doesn't
recognize the emulation.  When I do ld -V, it lists the available
emulations and only lists i386pe...

> 
> Rob

Logan Bowers

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/